# IRdGeometryIdentificationStream Interface Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
HRESULT | GetNumCoords ([out, retval] RtDWORD *dwNumCoords)
HRESULT | SetNumCoords ([in] RtDWORD dwNumCoords)
## Properties
RtFloat * | u ([in] RtDWORD dwIndex)`[get]`
RtFloat | u ([in] RtDWORD dwIndex)`[set]`
RtFloat * | v ([in] RtDWORD dwIndex)`[get]`
RtFloat | v ([in] RtDWORD dwIndex)`[set]`

## Detailed Description

IRdGeometryIdentificationStream specifies 2d coordinates of each triangle vertex:

- used to track triangle vertices during geometry changes.

After entering point edit mode:

- Mesh modifiers can request geometry identification stream to be added to meshes for internal tracking purposes.
- (for example skin uses this data to calculate skinning weights after PE ends).
- During entering PE, stream is filled with planar single line unwrap (coordinates 2x,0, 2x,1, 2x+1,0; x = triangle index).

Note: all geometry tools must process this stream otherwise they must fail.

The stream is part of IRdMesh and is stored in Custom stream group. Stream is identified by STREAMID_GEOMETRY_IDENTIFICATION id.

## Member Function Documentation

HRESULT IRdGeometryIdentificationStream::GetNumCoords | ( | [out, retval] RtDWORD * | dwNumCoords | ) |

Get number of geometry identification coordinates.

Returns:
  dwNumCoords [out,retval] Return number of coordinates.

  standard HRESULT processing can be applied to returned value.

HRESULT IRdGeometryIdentificationStream::SetNumCoords | ( | [in] RtDWORD | dwNumCoords | ) |

Set number of geometry identification coordinates.

Parameters:

  | dwNumCoords | [in] Set number of coordinates.

Returns:
  standard HRESULT processing can be applied to returned value.

## Property Documentation

RtFloat* IRdGeometryIdentificationStream::u([in] RtDWORD dwIndex)`[get]`

Get U coordinate of i-th item.

Parameters:

  | dwIndex | [in] Index item.

Returns:
  pVal [out, retval] Filled with U coordinate after successful return.

  standard HRESULT processing can be applied to returned value.

RtFloat IRdGeometryIdentificationStream::u([in] RtDWORD dwIndex)`[set]`

Set U coordinate of i-th item.

Parameters:

  | dwIndex | [in] Index item.
  | newVal | [in] U coordinate to set.

Returns:
  standard HRESULT processing can be applied to returned value.

RtFloat* IRdGeometryIdentificationStream::v([in] RtDWORD dwIndex)`[get]`

Get V coordinate of i-th item.

Parameters:

  | dwIndex | [in] Index item.

Returns:
  pVal [out, retval] Filled with V coordinate after successful return.

  standard HRESULT processing can be applied to returned value.

RtFloat IRdGeometryIdentificationStream::v([in] RtDWORD dwIndex)`[set]`

Set V coordinate of i-th item.

Parameters:

  | dwIndex | [in] Index item.
  | newVal | [in] V coordinate to set.

Returns:
  standard HRESULT processing can be applied to returned value.